org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModelDate

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelAbstract<java.util.Date>
  - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelDate

    public class HierarchyWizardModelDate
    extends HierarchyWizardModelAbstract<java.util.Date>

A model for date-based builders.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardModelDate(DataType<java.util.Date> dataType, java.lang.String[] data)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Date` `getBottomCodingBound()` Returns the bottom coding bound
`HierarchyBuilderDate` `getBuilder(boolean serializable)` Returns the builder currently configured.
`DataType<java.util.Date>` `getDataType()`
`HierarchyBuilderDate.Format` `getFormat()`
`java.util.List<HierarchyBuilderDate.Granularity>` `getGranularities()`
`java.util.TimeZone` `getTimeZone()`
`java.util.Date` `getTopCodingBound()` Returns the top-coding bound
`void` `parse(HierarchyBuilder<java.util.Date> _builder)` Parses a builder and updates the model accordingly.
`void` `setBottomCodingBound(java.util.Date bottomCodingBound)`
`void` `setFormat(HierarchyBuilderDate.Format format)`
`void` `setGranularities(java.util.List<HierarchyBuilderDate.Granularity> granularities)`
`void` `setTimeZone(java.util.TimeZone timeZone)`
`void` `setTopCodingBound(java.util.Date topCodingBound)`
`void` `updateUI(HierarchyWizard.HierarchyWizardView sender)` Updates all UI components apart from the sender

### Methods inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelAbstract

`getData, getError, getGroups, getHierarchy, setView, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HierarchyWizardModelDate

    public HierarchyWizardModelDate(DataType<java.util.Date> dataType,
                                    java.lang.String[] data)

Creates a new instance.

Parameters:
  `dataType` -
  `data` -

### Method Detail

#### getBottomCodingBound

    public java.util.Date getBottomCodingBound()

Returns the bottom coding bound

Returns:

#### getBuilder

    public HierarchyBuilderDate getBuilder(boolean serializable)

Description copied from class: `HierarchyWizardModelAbstract`
Returns the builder currently configured.

Specified by:
  `getBuilder` in class `HierarchyWizardModelAbstract<java.util.Date>`
Returns:

#### getDataType

    public DataType<java.util.Date> getDataType()

Returns:
  the dataType

#### getFormat

    public HierarchyBuilderDate.Format getFormat()

Returns:
  the format

#### getGranularities

    public java.util.List<HierarchyBuilderDate.Granularity> getGranularities()

Returns:
  the granularities

#### getTimeZone

    public java.util.TimeZone getTimeZone()

Returns:
  the timeZone

#### getTopCodingBound

    public java.util.Date getTopCodingBound()

Returns the top-coding bound

Returns:

#### parse

    public void parse(HierarchyBuilder<java.util.Date> _builder)

Description copied from class: `HierarchyWizardModelAbstract`
Parses a builder and updates the model accordingly.

Specified by:
  `parse` in class `HierarchyWizardModelAbstract<java.util.Date>`

#### setBottomCodingBound

    public void setBottomCodingBound(java.util.Date bottomCodingBound)

Parameters:
  `bottomCodingBound` - the bottomCodingBound to set

#### setFormat

    public void setFormat(HierarchyBuilderDate.Format format)

Parameters:
  `format` - the format to set

#### setGranularities

    public void setGranularities(java.util.List<HierarchyBuilderDate.Granularity> granularities)

Parameters:
  `granularities` - the granularities to set

#### setTimeZone

    public void setTimeZone(java.util.TimeZone timeZone)

Parameters:
  `timeZone` - the timeZone to set

#### setTopCodingBound

    public void setTopCodingBound(java.util.Date topCodingBound)

Parameters:
  `topCodingBound` - the topCodingBound to set

#### updateUI

    public void updateUI(HierarchyWizard.HierarchyWizardView sender)

Description copied from class: `HierarchyWizardModelAbstract`
Updates all UI components apart from the sender

Specified by:
  `updateUI` in class `HierarchyWizardModelAbstract<java.util.Date>`